// src/frame-app/provider/helpers.ts
function isSendTransactionRpcRequest(request) {
  return request.method === "eth_sendTransaction";
}
function isSignMessageRpcRequest(request) {
  return request.method === "personal_sign";
}
function isSignTypedDataRpcRequest(request) {
  return request.method === "eth_signTypedData_v4";
}
function isEIP1193Provider(provider) {
  return typeof provider === "object" && provider !== null && "request" in provider && typeof provider.request === "function" && "on" in provider && typeof provider.on === "function" && "removeListener" in provider && typeof provider.removeListener === "function";
}

export {
  isSendTransactionRpcRequest,
  isSignMessageRpcRequest,
  isSignTypedDataRpcRequest,
  isEIP1193Provider
};
