import {
  useFreshRef
} from "./chunk-KTZM67PO.js";

// src/hooks/use-debug-log.ts
import { useCallback } from "react";
function useDebugLog(prefix, enabled) {
  const enabledRef = useFreshRef(enabled);
  const prefixRef = useFreshRef(prefix);
  return useCallback(
    (...args) => {
      if (!enabledRef.current) {
        return;
      }
      console.debug(prefixRef.current, ...args);
    },
    [enabledRef, prefixRef]
  );
}

export {
  useDebugLog
};
