import React, { ImgHTMLAttributes } from 'react';
import { M as FrameState, Q as FrameTheme } from './types-CRf9XqD9.cjs';
import { UseFrameReturnValue } from './unstable-types.cjs';
import 'frames.js';
import 'frames.js/frame-parsers';
import 'frames.js/types';

type CollapsedFrameUIProps = {
    frameState: FrameState<any, any> | UseFrameReturnValue<any, any, any, any, any>;
    theme?: FrameTheme;
    FrameImage?: React.FC<ImgHTMLAttributes<HTMLImageElement> & {
        src: string;
    }>;
    allowPartialFrame?: boolean;
};
/**
 * A UI component only, that should be easy for any app to integrate.
 *
 * This component doesn't support Frames v2.
 */
declare function CollapsedFrameUI({ frameState, theme, FrameImage, allowPartialFrame, }: CollapsedFrameUIProps): React.JSX.Element | null;

export { CollapsedFrameUI, type CollapsedFrameUIProps };
