import { EthProviderRequest } from '@farcaster/frame-host';
import { EIP1193Provider } from 'viem';
import { SendTransactionRpcRequest, SignMessageRpcRequest, SignTypedDataRpcRequest } from '../types.cjs';
import 'frames.js/frame-parsers';
import 'ox/Provider';
import 'ox/RpcSchema';

declare function isSendTransactionRpcRequest(request: Parameters<EthProviderRequest>[0]): request is SendTransactionRpcRequest;
declare function isSignMessageRpcRequest(request: Parameters<EthProviderRequest>[0]): request is SignMessageRpcRequest;
declare function isSignTypedDataRpcRequest(request: Parameters<EthProviderRequest>[0]): request is SignTypedDataRpcRequest;
declare function isEIP1193Provider(provider: unknown): provider is EIP1193Provider;

export { isEIP1193Provider, isSendTransactionRpcRequest, isSignMessageRpcRequest, isSignTypedDataRpcRequest };
