import { ParseFramesV2ResultWithFrameworkDetails } from 'frames.js/frame-parsers';

type State = {
    status: "success";
    frame: ParseFramesV2ResultWithFrameworkDetails;
    source: string | URL | ParseFramesV2ResultWithFrameworkDetails;
} | {
    status: "error";
    error: Error;
} | {
    status: "pending";
};
type UseFetchFrameAppOptions = {
    source: string | URL | ParseFramesV2ResultWithFrameworkDetails;
    proxyUrl: string;
    fetchFn?: typeof fetch;
};
type UseFetchFrameAppResult = State;
declare function useFetchFrameApp({ fetchFn, source, proxyUrl, }: UseFetchFrameAppOptions): UseFetchFrameAppResult;

export { useFetchFrameApp };
