"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/frame-app/use-resolve-client.ts
var use_resolve_client_exports = {};
__export(use_resolve_client_exports, {
  useResolveClient: () => useResolveClient
});
module.exports = __toCommonJS(use_resolve_client_exports);
var import_react = require("react");
function useResolveClient({
  client
}) {
  const abortControllerRef = (0, import_react.useRef)(null);
  const [state, setState] = (0, import_react.useState)(() => {
    if (typeof client !== "function") {
      return {
        status: "success",
        client
      };
    }
    return {
      status: "pending"
    };
  });
  const resolveClient = (0, import_react.useCallback)((resolve) => {
    abortControllerRef.current?.abort();
    const abortController = new AbortController();
    abortControllerRef.current = abortController;
    Promise.resolve().then(async () => {
      setState({
        status: "pending"
      });
      const resolvedClient = await resolve({
        signal: abortController.signal
      });
      if (abortController.signal.aborted) {
        return;
      }
      setState({
        status: "success",
        client: resolvedClient
      });
    }).catch((e) => {
      if (abortController.signal.aborted) {
        return;
      }
      setState({
        status: "error",
        error: e instanceof Error ? e : new Error(String(e))
      });
    });
    return () => {
      abortController.abort();
    };
  }, []);
  (0, import_react.useEffect)(() => {
    if (typeof client !== "function") {
      setState((prevState) => {
        if (prevState.status === "success" && prevState.client !== client) {
          return {
            status: "success",
            client
          };
        }
        return prevState;
      });
    } else {
      resolveClient(client);
    }
  }, [client, resolveClient]);
  return state;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useResolveClient
});
