import { FrameClientConfig, ResolveClientFunction } from './types.cjs';
import '@farcaster/frame-host';
import 'frames.js/frame-parsers';
import 'ox/Provider';
import 'ox/RpcSchema';

type UseResolveClientOptions = {
    client: FrameClientConfig | ResolveClientFunction;
};
type UseResolveClientResult = {
    status: "success";
    client: FrameClientConfig;
} | {
    status: "error";
    error: Error;
} | {
    status: "pending";
};
declare function useResolveClient({ client, }: UseResolveClientOptions): UseResolveClientResult;

export { useResolveClient };
