import React, { ImgHTMLAttributes } from 'react';
import { Q as FrameTheme, M as FrameState } from './types-CRf9XqD9.cjs';
import 'frames.js';
import 'frames.js/frame-parsers';
import 'frames.js/types';

declare const defaultTheme: Required<FrameTheme>;
type FrameUIProps = {
    frameState: FrameState<any, any>;
    theme?: FrameTheme;
    FrameImage?: React.FC<ImgHTMLAttributes<HTMLImageElement> & {
        src: string;
    }>;
    allowPartialFrame?: boolean;
    /**
     * This option works only with frames created by Frames.js and with debug enabled.
     *
     * @defaultValue false
     */
    enableImageDebugging?: boolean;
};
/**
 * A UI component only, that should be easy for any app to integrate.
 *
 * This component doesn't support Frames V2.
 *
 * @deprecated - please use `FrameUI` from `@frames.js/render/ui` instead.
 */
declare function FrameUI({ frameState, theme, FrameImage, allowPartialFrame, enableImageDebugging, }: FrameUIProps): React.JSX.Element | null;

export { FrameUI, type FrameUIProps, defaultTheme };
