import { ParseFramesWithReportsResult, ParseResult, ParseResultFramesV1Failure } from 'frames.js/frame-parsers';
import { ComposerActionFormResponse, CastActionFrameResponse, CastActionMessageResponse } from 'frames.js/types';
import { PartialFrame } from './ui/types.cjs';
import 'frames.js';
import 'react';
import './types-CRf9XqD9.cjs';
import './unstable-types.cjs';

declare function tryCallAsync<TResult>(promiseFn: () => Promise<TResult>): Promise<TResult | Error>;
declare function tryCall<TReturn>(fn: () => TReturn): TReturn | Error;
declare function isParseFramesWithReportsResult(value: unknown): value is ParseFramesWithReportsResult;
declare function isParseResult(value: unknown): value is ParseResult;
type ParseResultWithPartialFrame = Omit<ParseResultFramesV1Failure, "frame"> & {
    frame: PartialFrame;
};
declare function isPartialFrame(value: ParseResult): value is ParseResultWithPartialFrame;
declare function isComposerFormActionResponse(response: unknown): response is ComposerActionFormResponse;
declare function isCastActionFrameResponse(response: unknown): response is CastActionFrameResponse;
declare function isCastActionMessageResponse(response: unknown): response is CastActionMessageResponse;
/**
 * Merges all search params in order from left to right into the URL.
 *
 * @param url - The URL to merge the search params into. Either fully qualified or path only.
 */
declare function mergeSearchParamsToUrl(url: string, ...searchParams: URLSearchParams[]): string;

export { type ParseResultWithPartialFrame, isCastActionFrameResponse, isCastActionMessageResponse, isComposerFormActionResponse, isParseFramesWithReportsResult, isParseResult, isPartialFrame, mergeSearchParamsToUrl, tryCall, tryCallAsync };
