"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/mini-app-messages.ts
var mini_app_messages_exports = {};
__export(mini_app_messages_exports, {
  miniAppMessageSchema: () => miniAppMessageSchema
});
module.exports = __toCommonJS(mini_app_messages_exports);
var import_zod = require("zod");
var createCastRequestSchemaLegacy = import_zod.z.object({
  type: import_zod.z.literal("createCast"),
  data: import_zod.z.object({
    cast: import_zod.z.object({
      parent: import_zod.z.string().optional(),
      text: import_zod.z.string(),
      embeds: import_zod.z.array(import_zod.z.string().min(1).url()).min(1)
    })
  })
});
var createCastRequestSchema = import_zod.z.object({
  jsonrpc: import_zod.z.literal("2.0"),
  id: import_zod.z.union([import_zod.z.string(), import_zod.z.number(), import_zod.z.null()]),
  method: import_zod.z.literal("fc_createCast"),
  params: import_zod.z.object({
    cast: import_zod.z.object({
      parent: import_zod.z.string().optional(),
      text: import_zod.z.string(),
      embeds: import_zod.z.array(import_zod.z.string().min(1).url()).min(1)
    })
  })
});
var ethSendTransactionActionSchema = import_zod.z.object({
  chainId: import_zod.z.string(),
  method: import_zod.z.literal("eth_sendTransaction"),
  attribution: import_zod.z.boolean().optional(),
  params: import_zod.z.object({
    abi: import_zod.z.custom(),
    to: import_zod.z.custom(
      (val) => typeof val === "string" && val.startsWith("0x")
    ),
    value: import_zod.z.string().optional(),
    data: import_zod.z.custom((val) => typeof val === "string" && val.startsWith("0x")).optional()
  })
});
var ethSignTypedDataV4ActionSchema = import_zod.z.object({
  chainId: import_zod.z.string(),
  method: import_zod.z.literal("eth_signTypedData_v4"),
  params: import_zod.z.object({
    domain: import_zod.z.custom(),
    types: import_zod.z.custom((value) => {
      const result = import_zod.z.record(import_zod.z.unknown()).safeParse(value);
      return result.success;
    }),
    primaryType: import_zod.z.string(),
    message: import_zod.z.record(import_zod.z.unknown())
  })
});
var walletActionRequestSchema = import_zod.z.object({
  jsonrpc: import_zod.z.literal("2.0"),
  id: import_zod.z.string(),
  method: import_zod.z.literal("fc_requestWalletAction"),
  params: import_zod.z.object({
    action: import_zod.z.union([
      ethSendTransactionActionSchema,
      ethSignTypedDataV4ActionSchema
    ])
  })
});
var miniAppMessageSchema = import_zod.z.union([
  createCastRequestSchemaLegacy,
  walletActionRequestSchema,
  createCastRequestSchema
]);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  miniAppMessageSchema
});
