"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/ui/utils.ts
var utils_exports = {};
__export(utils_exports, {
  getErrorMessageFromFramesStackItem: () => getErrorMessageFromFramesStackItem,
  isPartialFrameStackItem: () => isPartialFrameStackItem,
  isValidFrame: () => isValidFrame,
  isValidFrameV1: () => isValidFrameV1,
  isValidFrameV2: () => isValidFrameV2,
  isValidPartialFrame: () => isValidPartialFrame,
  isValidPartialFrameV1: () => isValidPartialFrameV1,
  isValidPartialFrameV2: () => isValidPartialFrameV2
});
module.exports = __toCommonJS(utils_exports);
function isPartialFrameStackItem(stackItem) {
  return stackItem.status === "done" && stackItem.frameResult.status === "failure" && (isValidPartialFrameV1(stackItem.frameResult) || isValidPartialFrameV2(stackItem.frameResult));
}
function getErrorMessageFromFramesStackItem(item) {
  if (item.status === "message") {
    return item.message;
  }
  if (item.requestError instanceof Error) {
    return item.requestError.message;
  }
  return "An error occurred";
}
function isValidPartialFrameV1(value) {
  if (value.specification !== "farcaster" && value.specification !== "openframes") {
    return false;
  }
  return !!value.frame.image && !!value.frame.buttons && value.frame.buttons.length > 0;
}
function isValidPartialFrameV2(value) {
  if (value.specification !== "farcaster_v2") {
    return false;
  }
  return !!value.frame.imageUrl && !!value.frame.button && !!value.frame.button.title && !!value.frame.button.action && !!value.frame.button.action.url;
}
function isValidPartialFrame(frameResult) {
  return isValidPartialFrameV1(frameResult) || isValidPartialFrameV2(frameResult);
}
function isValidFrameV1(value) {
  return value.status === "success" && (value.specification === "farcaster" || value.specification === "openframes");
}
function isValidFrameV2(value) {
  return value.status === "success" && value.specification === "farcaster_v2";
}
function isValidFrame(value) {
  return isValidFrameV1(value) || isValidFrameV2(value);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getErrorMessageFromFramesStackItem,
  isPartialFrameStackItem,
  isValidFrame,
  isValidFrameV1,
  isValidFrameV2,
  isValidPartialFrame,
  isValidPartialFrameV1,
  isValidPartialFrameV2
});
