import { UseFetchFrameOptions, FetchFrameFunction } from './unstable-types.cjs';
import { b as SignedFrameAction } from './types-CRf9XqD9.cjs';
import 'frames.js';
import 'frames.js/frame-parsers';
import 'react';
import 'frames.js/types';

declare function useFetchFrame<TExtraPending = unknown, TExtraDone = unknown, TExtraDoneRedirect = unknown, TExtraRequestError = unknown, TExtraMesssage = unknown>({ frameStateAPI, frameState, frameActionProxy, frameGetProxy, extraButtonRequestPayload, parseFarcasterManifest, onTransaction, transactionDataSuffix, onSignature, onError, fetchFn, onRedirect, onTransactionDataError, onTransactionDataStart, onTransactionDataSuccess, onTransactionError, onTransactionStart, onTransactionSuccess, onSignatureError, onSignatureStart, onSignatureSuccess, onTransactionProcessingError, onTransactionProcessingStart, onTransactionProcessingSuccess, }: UseFetchFrameOptions<TExtraPending, TExtraDone, TExtraDoneRedirect, TExtraRequestError, TExtraMesssage>): FetchFrameFunction;
type FetchProxiedArg = {
    proxyUrl: string;
    fetchFn: typeof fetch;
    /**
     * Valid only for GET requests
     */
    parseFarcasterManifest?: boolean;
    signal?: AbortSignal;
} & ({
    frameAction: SignedFrameAction;
    extraRequestPayload?: Record<string, unknown>;
} | {
    url: string;
});
declare function fetchProxied(params: FetchProxiedArg): Promise<Response | Error>;

export { fetchProxied, useFetchFrame };
